<?php

namespace Lc\PietroBundle\Container\Thematic;

use Lc\PietroBundle\Factory\Thematic\ThematicFactory;
use Lc\PietroBundle\Repository\Thematic\ThematicRepositoryQuery;
use Lc\PietroBundle\Repository\Thematic\ThematicStore;

class ThematicContainer
{
    protected ThematicFactory $factory;
    protected ThematicRepositoryQuery $repositoryQuery;
    protected ThematicStore $store;

    public function __construct(
            ThematicFactory $factory,
            ThematicRepositoryQuery $repositoryQuery,
            ThematicStore $store
    ) {
        $this->factory = $factory;
        $this->repositoryQuery = $repositoryQuery;
        $this->store = $store;
    }

    public function getFactory(): ThematicFactory
    {
        return $this->factory;
    }

    public function getRepositoryQuery(): ThematicRepositoryQuery
    {
        return $this->repositoryQuery;
    }

    public function getStore(): ThematicStore
    {
        return $this->store;
    }
}
