<?php

namespace Lc\PietroBundle\Container\Workshop;

use Lc\PietroBundle\Definition\Field\Workshop\EntryFieldDefinition;
use Lc\PietroBundle\Factory\Workshop\EntryFactory;
use Lc\PietroBundle\Repository\Workshop\EntryRepositoryQuery;
use Lc\PietroBundle\Repository\Workshop\EntryStore;

class EntryContainer
{
    protected EntryFactory $factory;
    protected EntryRepositoryQuery $repositoryQuery;
    protected EntryStore $store;
    protected EntryFieldDefinition $fieldDefinition;

    public function __construct(
            EntryFactory $factory,
            EntryRepositoryQuery $repositoryQuery,
            EntryStore $store,
            EntryFieldDefinition $fieldDefinition
    ) {
        $this->factory = $factory;
        $this->repositoryQuery = $repositoryQuery;
        $this->store = $store;
        $this->fieldDefinition = $fieldDefinition;
    }

    public function getFactory(): EntryFactory
    {
        return $this->factory;
    }

    public function getRepositoryQuery(): EntryRepositoryQuery
    {
        return $this->repositoryQuery;
    }

    public function getStore(): EntryStore
    {
        return $this->store;
    }

    public function getFieldDefinition(): EntryFieldDefinition
    {
        return $this->fieldDefinition;
    }
}
