<?php

namespace Lc\PietroBundle\Container\Workshop;

use Lc\PietroBundle\Definition\Field\Workshop\TypeFieldDefinition;
use Lc\PietroBundle\Factory\Workshop\TypeFactory;
use Lc\PietroBundle\Repository\Workshop\TypeRepositoryQuery;
use Lc\PietroBundle\Repository\Workshop\TypeStore;

class TypeContainer
{
    protected TypeFactory $factory;
    protected TypeRepositoryQuery $repositoryQuery;
    protected TypeStore $store;
    protected TypeFieldDefinition $fieldDefinition;

    public function __construct(
            TypeFactory $factory,
            TypeRepositoryQuery $repositoryQuery,
            TypeStore $store,
            TypeFieldDefinition $fieldDefinition
    ) {
        $this->factory = $factory;
        $this->repositoryQuery = $repositoryQuery;
        $this->store = $store;
        $this->fieldDefinition = $fieldDefinition;
    }

    public function getFactory(): TypeFactory
    {
        return $this->factory;
    }

    public function getRepositoryQuery(): TypeRepositoryQuery
    {
        return $this->repositoryQuery;
    }

    public function getStore(): TypeStore
    {
        return $this->store;
    }

    public function getFieldDefinition(): TypeFieldDefinition
    {
        return $this->fieldDefinition;
    }
}
