<?php

namespace Lc\PietroBundle\Model\ProjectInspiring;

use Doctrine\ORM\Mapping as ORM;
use Lc\PietroBundle\Doctrine\Extension\DescriptionProjectInterface;
use Lc\PietroBundle\Doctrine\Extension\DescriptionProjectTrait;
use Lc\PietroBundle\Model\IndividualData\IndividualDataInterface;
use Lc\SovBundle\Doctrine\EntityInterface;

/**
 * @ORM\MappedSuperclass()
 */
abstract class ProjectInspiring implements DescriptionProjectInterface, ProjectInspiringInterface, EntityInterface
{
    use DescriptionProjectTrait;

    /**
     * @ORM\ManyToOne(targetEntity="Lc\PietroBundle\Model\IndividualData\IndividualDataInterface", inversedBy="projectInspiring")
     */
    protected $individualData;


    public function __toString()
    {
        return "Les actions inspirantes";
    }

    public function getIndividualData(): ?IndividualDataInterface
    {
        return $this->individualData;
    }

    public function setIndividualData(?IndividualDataInterface $individualData): self
    {
        $this->individualData = $individualData;

        return $this;
    }
}
